<div class="col-12">
    <label for="inputFirstName" class="form-label"> Nom Prenom</label>

    <input type="text" class="form-control" id="inputFirstName" required min="3" max="30" placeholder="Nom & Prenom" [(ngModel)]="fullname" #form="ngModel" >
    <div *ngIf="form.errors && form.dirty">
        <div *ngIf="form.errors['required']"> Field Is required</div>
        <div *ngIf="form.errors['max']"> You Have A long Name</div>
    </div>
</div>
